<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('user_blogs', function (Blueprint $table) {
            $table->integer('is_slider')->unsigned()->default(0);
            $table->string('slider_post_image')->nullable();
            $table->integer('is_featured')->unsigned()->default(0);
            $table->string('featured_post_image')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('user_blogs', function (Blueprint $table) {
            $table->dropColumn('is_slider');
            $table->dropColumn('slider_post_image');
            $table->dropColumn('is_featured');
            $table->dropColumn('featured_post_image');
        });
    }
};
